Loading...
Searching...
No Matches
pcl::MTLReader Class Reference

`#include <pcl/io/obj_io.h>`

## Public Member Functions

| MTLReader ()
| empty constructor
virtual | ~MTLReader ()=default
| empty destructor
int | read (const std::string &filename)
| Read a MTL file given its full path.
int | read (const std::string &obj_file_name, const std::string &mtl_file_name)
| Read a MTL file given an OBJ file full path and the MTL file name.
std::vector< pcl::TexMaterial >::const_iterator | getMaterial (const std::string &material_name) const

## Public Attributes

std::vector< pcl::TexMaterial > | materials_
| materials array

## Detailed Description

Definition at line 47 of file obj_io.h.

## Constructor & Destructor Documentation

## MTLReader()

pcl::MTLReader::MTLReader | ( |  | ) |

empty constructor

## ~MTLReader()

virtual pcl::MTLReader::~MTLReader | ( |  | ) |

virtual default

empty destructor

## Member Function Documentation

## getMaterial()

std::vector< pcl::TexMaterial >::const_iterator pcl::MTLReader::getMaterial | ( | const std::string & | material_name | ) | const

## read() [1/2]

int pcl::MTLReader::read | ( | const std::string & | filename | ) |

Read a MTL file given its full path.

Parameters

  [in] | filename | full path to MTL file

Returns
  0 on success < 0 else.

## read() [2/2]

int pcl::MTLReader::read | ( | const std::string & | obj_file_name,
|  | const std::string & | mtl_file_name
| ) |  |

Read a MTL file given an OBJ file full path and the MTL file name.

Parameters

  [in] | obj_file_name | full path to OBJ file
  [in] | mtl_file_name | MTL file name

Returns
  0 on success < 0 else.

## Member Data Documentation

## materials_

std::vector<pcl::TexMaterial> pcl::MTLReader::materials_

materials array

Definition at line 75 of file obj_io.h.

The documentation for this class was generated from the following file:

- pcl/io/obj_io.h